
GammaLib - Bug #1143

Running ctlike with LAT diffuse Galactic model takes huge amount of memory and time

02/10/2014 11:17 PM - Knödlseder Jürgen

Status: Closed Start date: 02/10/2014

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-09-00   

Description

The actual code apparently read the diffuse galactic model, which for P7REP is not 0.5 GB. This should be improved, in particular for

cases where the diffuse map cube is not needed ...

History

#1 - 02/11/2014 01:48 AM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 00-08-02

- % Done changed from 0 to 50

Add a load flag to GModelSpatialDiffuseCube and only load cube when it is really required.

#2 - 02/11/2014 02:11 AM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- % Done changed from 50 to 100

Checked on LAT data and now runs infinitely faster!

#3 - 07/19/2014 02:07 AM - Knödlseder Jürgen

- Status changed from Feedback to Resolved

- Target version changed from 00-08-02 to 00-09-00

Skip 0.8.2 release.

#4 - 07/20/2014 11:23 PM - Knödlseder Jürgen

- Status changed from Resolved to Closed
